<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dialogbj"
    android:focusable="true"
    android:clickable="true">

    <RelativeLayout
        android:layout_centerInParent="true"
        android:layout_margin="20dp"
        android:layout_width="500dp"
        android:layout_height="400dp"
        android:background="@drawable/common_bg_with_radius_and_border">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        </RelativeLayout>
        <Button
            android:id="@+id/close_from"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@mipmap/newdelete"
            android:textSize="14dp"
            android:textColor="@color/white"/>

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="查看料仓"
            android:textSize="20dp"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginLeft="30dp">
        </TextView>

        <RelativeLayout
            android:layout_marginBottom="20dp"
            android:layout_marginTop="46dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_marginLeft="30dp"
                android:layout_marginRight="30dp"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <!--菜谱名称行-->
                <LinearLayout
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                </LinearLayout>

                <!--边框分割细线-->
                <LinearLayout
                    android:layout_alignParentBottom="true"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/color3" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <RelativeLayout
                        android:layout_centerHorizontal="true"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <LinearLayout
                            android:layout_margin="10dp"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/xuhao"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginBottom="-15dp"
                                android:fontFamily="serif"
                                android:text="1"
                                android:textAlignment="center"
                                android:textSize="20dp"
                                android:textStyle="bold" />
                            <ImageView
                                android:id="@+id/wuliaoimage"
                                android:layout_width="160dp"
                                android:layout_height="160dp"
                                android:src="@mipmap/newsilos"/>

                            <TextView
                                android:id="@+id/wuliaoname"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="调和油"
                                android:textAlignment="center"
                                android:textSize="19dp"/>
                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="(点击名称设置物料)"
                                android:textAlignment="center"
                                android:textSize="10dp"
                                android:textColor="@color/red_primary"/>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_marginTop="90dp"
                            android:layout_centerHorizontal="true"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">

                            <TextView
                                android:id="@+id/baifenbi"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="sans-serif-medium"
                                android:text="30%"
                                android:textSize="24dp" />
                        </LinearLayout>
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_marginTop="10dp"
                        android:layout_alignParentRight="true"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:visibility="gone"
                        android:orientation="vertical">
<!--                        <Button-->
<!--                            android:id="@+id/control_switch_shoudong"-->
<!--                            android:layout_width="120dp"-->
<!--                            android:layout_height="70dp"-->
<!--                            android:layout_centerHorizontal="true"-->
<!--                            android:background="@drawable/silosbuttonbj"-->
<!--                            android:text="出料"-->
<!--                            android:textColor="@color/white"-->
<!--                            android:textSize="18sp"/>-->

                        <Button
                            android:layout_marginTop="@dimen/dp_10"
                            android:id="@+id/control_huishou"
                            android:layout_width="120dp"
                            android:layout_height="70dp"
                            android:layout_centerHorizontal="true"
                            android:background="@drawable/silosbuttonbj"
                            android:text="回收"
                            android:textColor="@color/white"
                            android:textSize="18sp"/>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_marginTop="10dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="启用/禁用"
                            android:textAlignment="center"
                            android:textSize="16dp"
                            android:textColor="#65DD754B"/>
                        <com.suke.widget.SwitchButton
                            app:sb_uncheck_color="@color/app_color_blue"
                            app:sb_uncheckcircle_color="@color/app_color_blue"
                            app:sb_button_color="@color/app_color_blue"
                            android:id="@+id/control_switch"
                            android:layout_width="80dp"
                            android:layout_height="wrap_content"
                            android:focusable="true"
                            />
                    </LinearLayout>
                    <LinearLayout
                        android:layout_alignParentBottom="true"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                        <LinearLayout
                            android:layout_alignParentBottom="true"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <Button
                                android:id="@+id/buchongyuanliao"
                                android:layout_width="0dp"
                                android:layout_weight="1"
                                android:layout_height="40dp"
                                android:layout_centerHorizontal="true"
                                android:background="@drawable/bg"
                                android:text="补充原料"
                                android:textColor="@color/white"
                                android:textSize="18sp"/>

                            <Button
                                android:id="@+id/manguan"
                                android:layout_marginLeft="10dp"
                                android:layout_width="0dp"
                                android:layout_weight="1"
                                android:layout_height="40dp"
                                android:layout_centerHorizontal="true"
                                android:background="@drawable/bg"
                                android:text="满管"
                                android:visibility="gone"
                                android:textColor="@color/white"
                                android:textSize="18sp"/>

                            <Button
                                android:id="@+id/control_switch_shoudong"
                                android:layout_marginLeft="10dp"
                                android:layout_width="0dp"
                                android:layout_weight="1"
                                android:layout_height="40dp"
                                android:layout_centerHorizontal="true"
                                android:background="@drawable/bg"
                                android:text="出料"
                                android:visibility="visible"
                                android:textColor="@color/white"
                                android:textSize="18sp"/>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_alignParentBottom="true"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <Button
                                android:id="@+id/shezhi"
                                android:layout_width="0dp"
                                android:layout_weight="1"
                                android:layout_height="40dp"
                                android:layout_centerHorizontal="true"
                                android:background="@drawable/bg"
                                android:text="设置"
                                android:textColor="@color/white"
                                android:textSize="18sp"/>

                            <Button
                                android:id="@+id/jiaozhun"
                                android:layout_marginLeft="10dp"
                                android:layout_width="0dp"
                                android:layout_weight="1"
                                android:layout_height="40dp"
                                android:layout_centerHorizontal="true"
                                android:background="@drawable/bg"
                                android:text="校准"
                                android:textColor="@color/white"
                                android:textSize="18sp"/>

                        </LinearLayout>
                    </LinearLayout>

                    <RelativeLayout
                        android:visibility="gone"
                        android:id="@+id/liaochang_sz"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/white">

                        <LinearLayout
                            android:layout_marginTop="30dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">
                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="选择物料"
                                android:textSize="16dp"
                                android:textAlignment="center"
                                />
                            <Spinner
                                android:id="@+id/editsp_wl"
                                style="@style/commonSpinnerStyle"
                                android:layout_width="match_parent"
                                android:layout_height="26dp"
                                android:layout_centerVertical="true"/>
                            <TextView
                                android:layout_marginTop="@dimen/dp_10"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="料仓容量(g)"
                                android:textSize="16dp"
                                android:textAlignment="center"
                                />
                            <EditText
                                android:id="@+id/edittext1"
                                android:layout_width="match_parent"
                                android:layout_height="26dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入"
                                android:inputType="number"
                                android:layout_marginLeft="5dp"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:textSize="12dp"
                                android:text="0"/>

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_10"
                                android:text="报警值(g)"
                                android:textAlignment="center"
                                android:textSize="16dp" />
                            <EditText
                                android:id="@+id/edittext2"
                                android:layout_width="match_parent"
                                android:layout_height="26dp"
                                android:background="@drawable/input_bj"
                                android:layout_marginLeft="5dp"
                                android:hint="请输入"
                                android:inputType="number"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:textSize="12dp"
                                android:text="0"/>

                            <Button
                                android:id="@+id/queren"
                                android:layout_width="match_parent"
                                android:layout_height="40dp"
                                android:layout_marginTop="20dp"
                                android:layout_centerHorizontal="true"
                                android:background="@drawable/bg"
                                android:text="确认"
                                android:textColor="@color/white"
                                android:textSize="18sp"/>
                        </LinearLayout>
                    </RelativeLayout>

                </RelativeLayout>
            </LinearLayout>
        </RelativeLayout>

    </RelativeLayout>


    <RelativeLayout
        android:visibility="gone"
        android:layout_centerInParent="true"
        android:id="@+id/jishiqi"
        android:layout_width="400dp"
        android:layout_height="400dp"
        android:orientation="horizontal"
        android:background="@drawable/common_bg_with_radius_and_border">
        <LinearLayout
            android:layout_centerInParent="true"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="满管用时: "
                android:textColor="@color/black"
                android:textSize="24dp"/>
            <Chronometer
                android:id="@+id/runtime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/purple_primary"
                android:textStyle="bold|italic"
                android:textSize="30dp"

                />
            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=" 秒"
                android:textColor="@color/black"
                android:textSize="24dp"/>
        </LinearLayout>

    </RelativeLayout>
</RelativeLayout>